<?php

class actionUcartGetBinCount extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()){ cmsCore::error404(); }
		
        $error = false;

		$user = cmsUser::getInstance();
        $count = $this->model->getCartCount($user->id);

        if (!$count)
            $error = true;
		
		$template = cmsTemplate::getInstance();
        $template->renderJSON(array(
            'error' => $error,
            'data' => $count
        ));

    }

}
