<?php

class actionUcartOrder extends cmsAction {
	
	public function run($id=false){

		if (!$id){ cmsCore::error404(); }

		$user = cmsUser::getInstance();

		if (!$user->id){ cmsCore::error404(); }

		$item = $this->model->getOrderById($id);

		if (!$item){
			cmsUser::addSessionMessage('Заказ не найден.', 'error');
			$this->redirectToHome();
		}

		if ($item['user_id'] != $user->id && !$user->is_admin){ cmsCore::error404(); }

		$template = cmsTemplate::getInstance();
		$template->render('order', array(
			'item' => $item,
			'user' => $user
		));
		
	}
	
}
