<?php

class actionUcartUpdateCartCount extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()){ cmsCore::error404(); }
		
        $error = false;

		$id = $this->request->get('id');
		$count = $this->request->get('count');

		if(!is_numeric($count)){
			$count = 1;
		} else {
			$count = ceil($count);
		}

		$this->model->updateItemCartCount($id, $count);
		
		$template = cmsTemplate::getInstance();
        $template->renderJSON(array(
            'error' => $error
        ));

    }

}
