<?php

class actionUcartOrderAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('order');

        $this->model->setPerPage(25);

        $filter     = array();
        $filter_str = $this->request->get('filter', '');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $this->model->applyGridFilter($grid, $filter);
        }

        $total = $this->model->getOrderCount();
        $pages = ceil($total / 25);

        $order = $this->model->getOrder();
        
        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $order, $total, $pages);

        $this->halt();

    }

}
