<?php

class fieldUcartprops extends cmsFormField {

    public $title       = 'Свойства товара';
    public $sql         = 'text';
    public $filter_type = 'str';
    public $allow_index = false;
    public $var_type    = 'string';
	
	public function parse($value){

		$ucart = cmsCore::getController('ucart');

        $data = cmsModel::yamlToArray($value);

        $value = false;

        foreach ($data as $key => $values) {
        	
        	$arr2 = array();
            
            if (empty($values['title']) || empty($values['prop'])) continue;
            
            foreach ($values['prop'] as $key2 => $values2) {
            	
            	if(!empty($values2['ratio'])){

            		if ($values2['unit'] == 'percent') { //если проценты
            			$values2['name'] = $values2['name'] .' ('.html_signed_num($values2['ratio']).'%)';
            		} else if ($values2['unit'] == 'value') { //иначе
            			$values2['name'] = $values2['name'] .' ('.html_signed_num($values2['ratio']).$ucart->options['val'].')';
            		}

            	}

                $arr2[$key2] = $values2['name'];
            }

            $value .= '<div class="item_uprop_line">';
            $value .= '<span>'.$values['title'].'</span>';
            $value .= html_select($key, $arr2, '', array('class'=>'sel_uprop'));
            $value .= '</div>';
        }

        return $value;
    
    }

    public function getFilterInput($value) {
        return html_input('text', $this->name, $value);
    }

    public function applyFilter($model, $value) {
        return $model->filterLike($this->name, "%{$value}%");
    }

    public function store($value, $is_submitted, $old_value=null){

        $request = cmsCore::getInstance()->request;
        $value = $request->get('prop_item');

        if(empty($value))
        	$value = null;

    	return cmsModel::arrayToYaml($value);

    }

    public function getInput($value){

        if($value)
            $value = cmsModel::yamlToArray($value);

    	return parent::getInput($value);

    }

}
