DELETE FROM `{#}controllers` WHERE `name` = 'ucart';
INSERT INTO `{#}controllers` (`title`, `name`, `slug`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`, `is_external`, `files`, `addon_id`) VALUES
('User Cart - Универсальный каталог товаров', 'ucart', NULL, 1, '---\ncurr: рубль|рубля|рублей\nval: руб.\nno_bin_text: У вас в корзине пусто\norder_success: ''<p style="text-align: center;"><img src="http://i.imgur.com/ifDHmtF.gif"></p>''\norder_item_after:\nbin_selector: ''#controller_wrap''\nadmin_menu: null\nrequired_text:\nrequired_link:\norder_before_form: ''<p style="text-align: right;"><em><span style="color: rgb(127, 127, 127);">Здесь может располагаться дополнительная информация о способах оплаты и порядке обработки заказов.</span></em></p>''\nemail_notify:\nid_notify:\n', 'Kreator', 'http://www.instantcms.ru/users/kreator', '1.0.1', 1, 1, NULL, 489);

DROP TABLE IF EXISTS `{#}ucart`;
CREATE TABLE IF NOT EXISTS `{#}ucart` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(11) UNSIGNED NOT NULL,
  `session_id` varchar(50) DEFAULT NULL,
  `ctype_id` int(11) UNSIGNED NOT NULL,
  `item_id` int(11) UNSIGNED NOT NULL,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `items_count` int(11) UNSIGNED NOT NULL DEFAULT '1',
  `props` text,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `session_id` (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}ucart_buyer`;
CREATE TABLE IF NOT EXISTS `{#}ucart_buyer` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `title` varchar(500) NOT NULL,
  `hint` varchar(500) NULL DEFAULT NULL,
  `is_required` tinyint(1) UNSIGNED DEFAULT NULL,
  `is_enabled` tinyint(1) UNSIGNED DEFAULT NULL,
  `ordering` int(11) UNSIGNED DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}ucart_buyer` (`title`, `is_required`, `is_enabled`, `ordering`) VALUES
('Ф.И.О. Покупателя', 1, 1, 1),
('Организация', 1, 1, 2),
('Контактный телефон', 1, 1, 3),
('Email', 1, 1, 4),
('Дополнительные сведения', 1, 1, 5);

DROP TABLE IF EXISTS `{#}ucart_status`;
CREATE TABLE IF NOT EXISTS `{#}ucart_status` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(500) NOT NULL,
  `ordering` int(11) UNSIGNED DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}ucart_status` (`title`, `ordering`) VALUES
('Открыт', 1),
('Закрыт', 2);

DROP TABLE IF EXISTS `{#}ucart_delivery`;
CREATE TABLE IF NOT EXISTS `{#}ucart_delivery` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(500) NOT NULL,
  `price` DECIMAL(24,2) UNSIGNED NULL DEFAULT '0.00',
  `price_free` DECIMAL(24,2) UNSIGNED NULL DEFAULT '0.00',
  `description` text,
  `is_enabled` tinyint(1) UNSIGNED DEFAULT NULL,
  `ordering` int(11) UNSIGNED DEFAULT '0',
  `name` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `{#}ucart_delivery` (`title`, `price`, `price_free`, `description`, `is_enabled`, `ordering`, `name`) VALUES
('Почта России', 2, NULL, 'Описание доставки почтой', 1, 2, NULL),
('Курьером', 500, NULL, 'Описание доставки курьером', 0, 3, NULL),
('Транспортная компания', 1500, NULL, 'Описание доставки транспортной компанией', 0, 4, NULL),
('Самовывоз', NULL, NULL, 'Информация где забирать товар', 1, 1, NULL),
('Такси', 60, NULL, 'Информация о доставке с помощью такси', 0, 5, NULL);

DROP TABLE IF EXISTS `{#}ucart_ratio`;
CREATE TABLE IF NOT EXISTS `{#}ucart_ratio` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` tinyint(1) UNSIGNED NOT NULL,
  `unit` tinyint(1) UNSIGNED NOT NULL,
  `value` DECIMAL(24,2) NOT NULL DEFAULT '0.00',
  `title` varchar(500) NOT NULL,
  `description` text,
  `ctype_id` int(11) UNSIGNED DEFAULT NULL,
  `category_id` int(11) UNSIGNED DEFAULT NULL,
  `dataset_id` int(11) UNSIGNED DEFAULT NULL,
  `is_enabled` tinyint(1) UNSIGNED DEFAULT NULL,
  `ordering` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT NULL,
  `min_amount` DECIMAL(24,2) NULL DEFAULT '0.00',
  `max_amount` DECIMAL(24,2) NULL DEFAULT '0.00',
  PRIMARY KEY (`id`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}ucart_orders`;
CREATE TABLE IF NOT EXISTS `{#}ucart_orders` (
`id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(11) UNSIGNED NOT NULL,
  `session_id` varchar(32) DEFAULT NULL,
  `user` text,
  `buyer` text,
  `items` longtext,
  `summ_items` DECIMAL(24,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `ratio` text,
  `delivery` text,
  `date_pub` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `hash` varchar(32) NOT NULL,
  `amount` DECIMAL(24,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `status` int(11) UNSIGNED NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `session_id` (`session_id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{#}ucart_props`;
CREATE TABLE IF NOT EXISTS `{#}ucart_props` (
`id` int(11) NOT NULL AUTO_INCREMENT,
  `bin_id` int(11) NOT NULL,
  `props` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DELETE FROM `{#}users_tabs` WHERE `controller` = 'ucart';
INSERT INTO `{#}users_tabs` (`title`, `controller`, `name`, `is_active`, `ordering`, `groups_view`, `groups_hide`, `show_only_owner`) VALUES
('Покупки', 'ucart', 'ucart', 1, 7, '---\n- 0\n', NULL, NULL);