<?php

class actionUcartOrderDelete extends cmsAction {

    public function run($id){

    	$user = cmsUser::getInstance();

    	$order = $this->model->getOrderById($id);

    	if(!$order || ($user->id != $order['user_id'] && !$user->is_admin)){ cmsCore::error404(); }

    	if($order['status'] != 1 ){
    		cmsUser::addSessionMessage('Извините, заказ обрабатывается, его нельзя удалить.', 'error');
    		$this->redirectBack();
    	}
		
		$this->model->deleteOrder($id);

        cmsUser::addSessionMessage('Заказ удален', 'success');
        
		$this->redirectBack();

    }

}
