<?php

class actionUcartRatioAdd extends cmsAction {

    public function run(){
		
		$errors = false;
		
		$form = $this->getForm('ratio');
		
		$is_submitted = $this->request->has('submit');
		
		$ratio = false;
        
		if ($is_submitted){
			
            $ratio = $form->parse($this->request, $is_submitted);
			
			$errors = $form->validate($this, $ratio);
			
			if (!$errors){
				
				$this->model->addRatio($ratio);

            	cmsUser::addSessionMessage('Создан новый коэффициент цен', 'success');

				$this->redirectToAction('ratio');
				
			}
			
			if ($errors){
				
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				
			}
        
		}
		
        return cmsTemplate::getInstance()->render('backend/ratio_add', array(
            'form' => $form,
			'errors' => $errors,
			'ratio' => $ratio
        ));

    }

}
