<?php

class actionUcartStatusAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('status');

        $this->model->setPerPage(25);

        $filter     = array();
        $filter_str = $this->request->get('filter', '');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $this->model->applyGridFilter($grid, $filter);
        }

        $total = $this->model->getStatusCount();
        $pages = ceil($total / 25);

        $item = $this->model->getStatus();
        
        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $item, $total, $pages);

        $this->halt();

    }

}
