<?php

function grid_buyer($controller){

    $options = array(
        'is_sortable' => false,
        'order_by' => 'ordering',
        'order_to' => 'asc',
        'is_pagination' => false,
        'is_filter' => false,
        'is_draggable' => true,
        'show_id' => false
    );

    $columns = array(
    	'id' => array(
    		'title' => 'ID'
    	),
		'title' => array(
            'title' => 'Название',
        ),
        'is_required' => array(
            'title' => 'Обязательное',
            'width' => 100,
			'flag' => true,
			'flag_toggle' => href_to($controller->root_url, 'toggle', array('{id}', 'buyerreq'))
        ),
		'is_enabled' => array(
            'title' => 'Активно',
            'width' => 100,
			'flag' => true,
			'flag_toggle' => href_to($controller->root_url, 'toggle', array('{id}', 'buyer'))
        ),
    );

    $actions = array(
        array(
            'title' => LANG_CONFIG,
            'class' => 'config',
            'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'buyer_edit', '{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'confirm' => 'Удалить поле данных покупателя?',
            'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'buyer_delete', '{id}')),
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}
