<?php

function grid_delivery($controller){

    $options = array(
        'is_sortable' => false,
        'order_by' => 'ordering',
        'order_to' => 'asc',
        'is_pagination' => false,
        'is_filter' => false,
        'is_draggable' => true,
        'show_id' => false
    );

    $columns = array(
    	'id' => array(
    		'title' => 'ID'
    	),
		'title' => array(
            'title' => 'Название',
        ),
		'price' => array(
            'title' => 'Цена',
        ),
		'price_free' => array(
            'title' => 'Бесплатно от',
        ),
		'description' => array(
            'title' => 'Описание',
        ),
		'is_enabled' => array(
            'title' => 'Активен',
			'flag' => true,
			'flag_toggle' => href_to($controller->root_url, 'toggle', array('{id}', 'delivery'))
        ),
        'name' => array(
            'title' => 'Сист.имя',
        ),
    );

    $actions = array(
        array(
            'title' => LANG_CONFIG,
            'class' => 'config',
            'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'delivery_edit', '{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'confirm' => 'Удалить способ доставки?',
            'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'delivery_delete', '{id}')),
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}
