<?php if ($items){ ?>

	<?php $this->addControllerCSS('styles', 'ucart'); ?>
	<?php $this->addControllerJS('script', 'ucart'); ?>
	
	<?php $fields = cmsCore::getModel('content')->getContentFields($ctype['name']); ?>

    <div class="content_list ucart">
        <?php foreach($items as $item) { ?>

            <div class="content_list_item <?php echo $ctype['name']; ?>_list_item<?php if (!empty($item['is_vip'])){ ?> is_vip<?php } ?>">

		        <div class="ucart_item">
		        	<a class="photos" style="background-image: url('<?php echo isset($item['photo']) ? html_image_src($item['photo'], $fields['photo']['options']['size_teaser'], true) : '/upload/default/no_photo.jpg'; ?>')" href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>"></a>
                    <?php foreach($fields as $field){ ?>
                        <?php if ($field['type'] == 'ucartsticker' && isset($item[$field['name']])) { ?>
                            <?php echo $field['handler']->setItem($item)->parseTeaser($item[$field['name']]); ?>
                        <?php } ?>
                    <?php } ?>
		        	<div class="title">
		        		<a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>">
		        			<?php html($item['title']); ?>
		        		</a>
		        	</div>
		        	<?php if (!empty($item['price'])) { ?>
		        		<div class="item_price">
		        			<?php echo $fields['price']['handler']->setItem($item)->parseTeaser($item['price']); ?>
		        		</div>
		        	<?php } ?>
		        	<div class="item_bin">
		        		<a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>">
                        	<?php echo html_button('Подробнее', 'empty_button', '', array('class'=>'ucart_list_empty_button')); ?>
                        </a>
		        	</div>
		        </div>

		    </div>

        <?php } ?>
    </div>

<?php } ?>