<?php
    
	$this->addControllerCSS('styles', 'ucart');
	$this->addControllerJS('script', 'ucart');
	$this->addJS('templates/default/js/jquery-ui.js');

    $this->setPageTitle('Заказ создан');
    $this->addBreadcrumb('Заказ создан');

?>

<h1>Создан заказ №<?php echo $item['id']; ?></h1>

<p>Спасибо. Ваш заказ на сумму <b><?php echo $item['summ_items']; ?> <?php echo $this->controller->options['val']; ?></b> создан! Мы уже приняли его в обработку. Если в заказе вы указали адрес электронной почты, то на нее вам выслано подробное содержание заказа и ссылка на эту страницу.</p>

<?php if (!$user->id) { ?>
	<p>Для того, чтобы увидеть полную информацию по заказу, необходимо <a href="<?php echo href_to('auth', 'login'); ?>" class="ajax-modal">авторизоваться на сайте</a>. В вашем личном кабинете мы соберем все ваши заказы.</p>
<?php } else { ?>
	<p><a href="<?php echo $this->href_to('order', $item['id']); ?>">Перейти на страницу заказа</a></p>
<?php } ?>

<?php $hooks_html = cmsEventsManager::hookAll("ok_html", $item); ?>
<?php if ($hooks_html) { ?>
	<p><?php echo html_each($hooks_html); ?></p>
<?php } ?>

<p><?php echo $this->controller->options['order_success']; ?></p>

<?php $hooks_html = cmsEventsManager::hookAll("ok_html_after", $item); ?>
<?php if ($hooks_html) { ?>
	<p><?php echo html_each($hooks_html); ?></p>
<?php } ?>