<?php

	$this->addControllerCSS('styles', 'ucart');
	$this->addControllerJS('script', 'ucart');
	$this->addJS('templates/default/js/jquery-ui.js');

	$this->setPageTitle('Покупки', $profile['nickname']);
	$this->addBreadcrumb(LANG_USERS, href_to('users'));
	$this->addBreadcrumb($profile['nickname'], href_to('users', $profile['id']));
	$this->addBreadcrumb('Покупки');

?>

<table width="100%" border="1" bordercolor="#dddddd" cellpadding="5">
	<tr>
		<th width="100">Дата</th>
		<th></th>
		<th width="100">Сумма</th>
		<th>Статус</th>
		<th width="100">Оплачено</th>
	</tr>
	<?php if($order) { ?>
	<?php foreach ($order as $key => $value) { ?>
	<tr>
		<td align="center"><?php echo html_date($value['date_pub']); ?></td>
		<td><a href="<?php echo href_to('ucart', 'order', $value['id']); ?>">Заказ №<?php echo $value['id']; ?></a></td>
		<td align="center"><?php echo $value['summ_items']; ?> <?php echo $this->controller->options['val']; ?></td>
		<td><?php if(isset($value['status_details'])){ echo $value['status_details']['title']; } else { echo $value['status']; } ?></td>
		<td align="center"><?php echo $value['amount']>0 ? ($value['amount'].' '.$this->controller->options['val']) : 'Нет'; ?></td>
	</tr>
	<?php } ?>
	<?php } else { ?>
	<tr>
		<td align="center" colspan="3">Покупок нет</td>
	</tr>
	<?php } ?>
</table>

<?php if($total > $perpage) { ?>
	<?php echo html_pagebar($page, $perpage, $total); ?>	
<?php } ?>